Page MenuHomePhabricator

Don't log page-impressions or widget-impressions in WikiGrok
Closed, ResolvedPublic1 Story Points

Description

You can leave them in the Schema:MobileWebWikiGrok Schema, but comment out the code that logs those two events.

Event Timeline

KLans_WMF raised the priority of this task from to Needs Triage.
KLans_WMF updated the task description. (Show Details)
KLans_WMF added a subscriber: KLans_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 6:15 PM
KLans_WMF renamed this task from (1) Don't log page-impressions or widget-impressions in WikiGrok to Don't log page-impressions or widget-impressions in WikiGrok.Mar 30 2015, 6:15 PM
KLans_WMF set Security to None.
KLans_WMF edited a custom field.

Change 200731 had a related patch set uploaded (by Bmansurov):
Don't log page-impression or widget-impression

https://gerrit.wikimedia.org/r/200731

phuedx added a subscriber: phuedx.EditedMar 31 2015, 9:31 AM

Why aren't we removing the code that does the logging? I feel like I've asked this before and forgotten the answer.

What about the widget-impression-success event?

Change 200731 merged by jenkins-bot:
Don't log page-impression or widget-impression

https://gerrit.wikimedia.org/r/200731

I merged @bmansurov's patch because removing widget-impression-success event logging can be done separately.

@phuedx, I think @kaldari maybe able to answer your question about why we're not removing the code. I followed the bug description, which says: comment out the code that logs those two events.

@bmansurov: I understand that, which is why I merged your patch. However, "because that's what the task said" isn't the answer I'm looking for ;)

Should this get moved to Ready for Signoff now?

phuedx added a comment.Apr 1 2015, 5:22 PM

@KLans_WMF: Since this is a technical task, should I sign it off?

JKatzWMF closed this task as Resolved.Apr 13 2015, 7:20 PM